List all partners
List all partners for a partner program.
1 min read
get/partners
Request example
Response
get/partners
Authorization
Query parameters
A filter on the list based on the partner's
groupId field.A filter on the list based on the partner's
status field.Options:
pendingapprovedrejectedinviteddeclineddeactivatedbannedarchivedA filter on the list based on the partner's
country field.The field to sort the partners by. The default is
totalSaleAmount.Default: "totalSaleAmount"
Options:
createdAttotalClickstotalLeadstotalConversionstotalSaleAmounttotalCommissionsnetRevenueearningsPerClickaverageLifetimeValueclickToLeadRateclickToConversionRateleadToConversionRatereturnOnAdSpendFilter the partner list based on the partner's
email. The value must be a string. Takes precedence over search.Filter the partner list based on the partner's
tenantId. The value must be a string. Combines with the other filters.A search query to filter partners by ID, name, email, company name, description, social platforms, or referral links. Partial matches are supported.
Responses
application/json
The list of partners.
The partner's unique ID on Dub.
The partner's unique username on Dub.
The partner's email address. Should be a unique value across Dub.
Length: max 190
The partner's avatar image.
The partner's country (required for tax purposes).
If the partner profile type is a company, this is the partner's legal company name.
Length: max 190
The partner's network status on Dub.
Options:
draftsubmittedapprovedrejectedtrustedThe partner's default payout method. Connect: Bank account payouts via Stripe Connect; Stablecoin: USDC payouts directly to a crypto wallet; PayPal: Payouts via PayPal
Options:
connectstablecoinpaypaltremendousThe partner's PayPal email (for receiving payouts via PayPal).
The partner's Stripe Connect ID (for receiving payouts via Stripe).
The date when the partner enabled payouts.
The date when the partner's identity was verified.
The program's unique ID on Dub.
The partner's group ID on Dub.
The partner's unique ID on Dub.
The partner's unique ID within your database. Can be useful for associating the partner with a user in your database and retrieving/update their data in the future.
The status of the partner's enrollment in the program.
Options:
pendingapprovedrejectedinviteddeclineddeactivatedbannedarchivedThe partner's referral links in this program.
Show child attributesHide child attributes
The unique ID of the short link.
The domain of the short link. If not provided, the primary domain for the workspace will be used (or
dub.sh if the workspace has no domains).The short link slug. If not provided, a random 7-character slug will be generated.
The full URL of the short link, including the https protocol (e.g.
https://dub.sh/try).The destination URL of the short link.
The total number of sales (includes recurring sales) generated by the short link.
Default: 0
The total dollar value of sales (in cents) generated by the short link.
Default: 0
The total commissions paid to the partner for their referrals
Default: 0
If the partner submitted an application to join the program, this is the ID of the application.
If the partner was banned from the program, this is the date of the ban.
If the partner was banned from the program, this is the reason for the ban.
Options:
tos_violationinappropriate_contentfake_trafficfraudspambrand_abuseShow child attributesHide child attributes
Linked program application, including review outcome when applicable.
Show child attributesHide child attributes
The total number of leads that converted to paying customers
Default: 0
The total number of sales generated by the partner's links (includes recurring sales)
Default: 0
Net revenue after commissions (
Total Revenue - Total Commissions)Default: 0
Earnings Per Click (EPC) (
Total Revenue ÷ Total Clicks)Average lifetime value for each paying customer (
Total Revenue ÷ Total Conversions)Percentage of clicks that become leads (
Total Leads ÷ Total Clicks)Percentage of clicks that convert to paying customers (
Total Conversions ÷ Total Clicks)Percentage of leads that convert to paying customers (
Total Conversions ÷ Total Leads)Return On Ad Spend (ROAS) (
Total Revenue ÷ Total Commissions)The partner's website URL (including the https protocol).
The partner's YouTube channel username (e.g.
johndoe).The partner's Twitter username (e.g.
johndoe).The partner's LinkedIn username (e.g.
johndoe).The partner's Instagram username (e.g.
johndoe).The partner's TikTok username (e.g.
johndoe).DEPRECATED: Use
networkStatus instead.